<configuration>

  <property name="elds.home" value="${ELDS_HOME:-${user.home}/.elds}"/>

  <appender name="STDOUT" class="ch.qos.logback.core.ConsoleAppender">
    <encoder class="net.logstash.logback.encoder.LogstashEncoder">
    </encoder>
  </appender>

  <!-- Valid logging levels: ERROR, WARN, INFO, DEBUG, TRACE -->
  <!-- # RDF Plugin related logging (e.g. queries) -->
  <!--<logger name="org.silkframework.plugins.dataset.rdf" level="TRACE" />-->

  <root level="info">
    <appender-ref ref="STDOUT"/>
  </root>

  <!-- OAuth specific log messages  -->
  <logger name="oauth" additivity="false" level="INFO">
    <appender-ref ref="STDOUT"/>
  </logger>
</configuration>
